Crash au lancement



  • Bonjour ! J'ai créer mon launcher Minecraft en 1.7.10 mais j'ai un crash au lancement après le chargement du launcher ! Help 😞

    Logs :

    [21:38:21] [main/ERROR] [LaunchWrapper/]: Unable to launch
    java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_71]
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_71]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_71]
    at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_71]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.11.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.11.jar:?]
    Caused by: com.google.gson.JsonSyntaxException: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line 1 column 1
    at com.google.gson.Gson.fromJson(Gson.java:815) ~[Gson.class:?]
    at com.google.gson.Gson.fromJson(Gson.java:768) ~[Gson.class:?]
    at com.google.gson.Gson.fromJson(Gson.java:717) ~[Gson.class:?]
    at net.minecraft.client.main.Main.main(SourceFile:116) ~[Main.class:?]
    … 6 more
    Caused by: java.lang.IllegalStateException: Expected BEGIN_OBJECT but was STRING at line 1 column 1
    at com.google.gson.stream.JsonReader.beginObject(JsonReader.java:374) ~[JsonReader.class:?]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:183) ~[MapTypeAdapterFactory$Adapter.class:?]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:145) ~[MapTypeAdapterFactory$Adapter.class:?]
    at com.google.gson.Gson.fromJson(Gson.java:803) ~[Gson.class:?]
    at com.google.gson.Gson.fromJson(Gson.java:768) ~[Gson.class:?]
    at com.google.gson.Gson.fromJson(Gson.java:717) ~[Gson.class:?]
    at net.minecraft.client.main.Main.main(SourceFile:116) ~[Main.class:?]
    … 6 more
    

    Cela viendrait de forge ?
    Et je ne trouve pas la solution 😢 !
    Merci 🙂



  • Ton fichier json est mal écrit


  • Administrateurs

    Ton launcher n'envoie pas tous les arguments nécessaires au lancement de la 1.7.10.
    C'est pour cette raison que je conseil d'utiliser notre installateur qui passe par le launcher officiel.
    Et de toute façon si tu avais lu le règlement tu serai que les launcher ce n'est pas trop notre truc.



  • D'accord merci pour les infos !